Holger's Java API

## com.antelmann
Class LicensingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  com.antelmann.LicensingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExpiredLicenseException, LicenseKeyException, MissingLicenseException

    public class LicensingException

extends GeneralSecurityException

thrown to indicate that no valid license for a requested Object could be obtained.

Author:
  Holger Antelmann
See Also:
  `LicenseManager`, `License`, Serialized Form

Constructor Summary
`LicensingException()`
`LicensingException(Class<?> classWithoutLicense)`
`LicensingException(Exception ex)`
`LicensingException(License license)`
`LicensingException(String msg)`
`LicensingException(String message, Object licensee, License license)` the most explicit constructor

Method Summary
`License` `getLicense()` may be null
`Object` `getLicensee()` may be null
`void` `setLicense(License license)`
`void` `setLicensee(Object licensee)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LicensingException

    public LicensingException()

### LicensingException

    public LicensingException(Class<?> classWithoutLicense)

### LicensingException

    public LicensingException(Exception ex)

### LicensingException

    public LicensingException(String msg)

### LicensingException

    public LicensingException(License license)

### LicensingException

    public LicensingException(String message,
                              Object licensee,
                              License license)

  the most explicit constructor

Method Detail

### setLicense

    public void setLicense(License license)

### setLicensee

    public void setLicensee(Object licensee)

### getLicense

    public License getLicense()

  may be null

### getLicensee

    public Object getLicensee()

  may be null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads